// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.annotatedlineeditor;


/**
 * Associates entity creators with classes, e.g.
 * ReferenceEditorInput with ReferenceCreator.
 * 
 * @author p.ciardelli
 * @created 25.08.2009
 * @version 1.0
 */
public interface IEntityCreatorService {

	void setEntityCreator(IEntityCreator entityCreator, Object element);
	
	IEntityCreator getEntityCreator(Object element);
}
